Schedule an appointment
curl --request POST \
--url https://api.pickupbell.com/locations/{locationId}/bookings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z",
"customer_name": "<string>",
"customer_phone": "<string>",
"customer_address": "<string>",
"service_type": "<string>",
"duration_minutes": 123,
"notes": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.pickupbell.com/locations/{locationId}/bookings"
payload = {
"scheduled_at": "2023-11-07T05:31:56Z",
"customer_name": "<string>",
"customer_phone": "<string>",
"customer_address": "<string>",
"service_type": "<string>",
"duration_minutes": 123,
"notes": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduled_at: '2023-11-07T05:31:56Z',
customer_name: '<string>',
customer_phone: '<string>',
customer_address: '<string>',
service_type: '<string>',
duration_minutes: 123,
notes: '<string>',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.pickupbell.com/locations/{locationId}/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_phone": "<string>",
"customer_address": "<string>",
"service_type": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"assigned_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"external_calendar_event_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API Reference · Calls & leads
Create booking
POST
/
locations
/
{locationId}
/
bookings
Schedule an appointment
Authorizations
Location-scoped API token from Settings → API & MCP.
Path Parameters
Location UUID or slug (e.g. premier-hvac).
Body
application/json
Response
201 - application/json
Created
Show child attributes
Show child attributes